#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
source /etc/os-release 

USER=""

case $ID in 
  centos)
    USER="apache"
  ;;
  debian)
    USER="www-data"
  ;;
  *)
    echo $ID inconnu !
    exit 1
  ;;
esac


cat > /etc/sudoers.d/radmin <<- EOF
$USER ALL=(ALL) NOPASSWD: /usr/local/radmin/scripts/command_helper.sh

Defaults:apache !requiretty
Defaults:apache lecture = never
EOF


cat > /etc/systemd/system/radmin.service <<-"EOF"
[Unit]
Description=Radmin client
Documentation=
Wants=network-online.target
After=

[Service]
User=root
Type=simple
ExecStart=/usr/bin/php /usr/local/radmin/radmin.php > /dev/null
ExecStartPost=/usr/bin/touch /etc/radmin/enabled
ExecStop=/usr/bin/sudo killall ssh -v -s 9; /usr/bin/sudo killall autossh -v -s 9
ExecStopPost=/bin/rm -f /etc/radmin/enabled
Restart=on-failure
RestartSec=5
WorkingDirectory=/usr/local/radmin
KillMode=control-group
KillSignal=SIGKILL

[Install]
WantedBy=multi-user.target
EOF
systemctl daemon-reload

ENABLED=`cat /etc/radmin/config.json | jq .enabled`
if [ "$ENABLED" = "true" ]
then
  systemctl enable radmin >/dev/null 
  systemctl restart radmin >/dev/null
fi

rm -rf /etc/cron.d/radmin

exit 0